Package groovy.lang

# Class MissingClassException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.lang.MissingClassException

All Implemented Interfaces:
  `Serializable`

public class MissingClassException extends GroovyRuntimeException
An exception occurred if a dynamic method dispatch fails with an unknown class. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MissingClassException(String type, ASTNode node, String message)`
  Creates an exception for an unresolved class name.
  `MissingClassException(ClassNode type, String message)`
  Creates an exception for an unresolved class node.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getType()`

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingClassException

    public MissingClassException(String type, ASTNode node, String message)
    Creates an exception for an unresolved class name.
    Parameters:
      `type` - the unresolved class name
      `node` - the related AST node
      `message` - additional context

  - ### MissingClassException

    public MissingClassException(ClassNode type, String message)
    Creates an exception for an unresolved class node.
    Parameters:
      `type` - the unresolved class node
      `message` - additional context

- ## Method Details

  - ### getType

    public String getType()
    Returns:
      The type that could not be resolved